itpp::it_file_old Class Reference
Base Module » IT++ File Format

The old (version 2) IT++ file format reading and writing class. More...

`#include <itpp/base/itfile.h>`

Inheritance diagram for itpp::it_file_old:

## Public Types

typedef it_file_old &(* | it_manip) (it_file_old &)
| ACTION: Add documentation for this typedef.

## Public Member Functions

| it_file_old ()
| Constructor.
| it_file_old (const std::string &name, bool trunc=false)
| Constructor.
virtual | ~it_file_old ()
| Destructor.
void | open (const std::string &name, bool trunc=false)
| Open a file for reading and writing.
void | close ()
| Close the file.
void | flush ()
| Flush the data to disk.
bfstream & | low_level ()
| Returns pointer to the underlying `bfstream` used.
void | set_low_precision (bool p=true)
| Set the precision. Low precision means floats, high means doubles.
bool | get_low_precision ()
| Get the precision.
void | set_next_name (const std::string &n)
| Set the name of the next name to be saved. See also the `Name` class.
void | write_file_header ()
| Write the header for the `it_file_old`.
void | write_data_header (const std::string &type, uint32_t size)
| Write the data header for a variable, specifying the type and size of the data to follow.
void | write_data_header (const std::string &type, const std::string &name, uint32_t size)
| Write the data header for a variable, specifying the type, name, and size of the data to follow.
void | low_level_write (char x)
| Write a char value at the current file pointer position.
void | low_level_write (bin x)
| Write a binary value at the current file pointer position.
void | low_level_write (short x)
| Write a short value at the current file pointer position.
void | low_level_write (int x)
| Write an integer value at the current file pointer position.
void | low_level_write (float x)
| Write a float value at the current file pointer position.
void | low_level_write (double x)
| Write a double value at the current file pointer position.
void | low_level_write (const std::complex< float > &x)
| Write a float complex value at the current file pointer position.
void | low_level_write (const std::complex< double > &x)
| Write a double complex value at the current file pointer position.
void | low_level_write (const vec &v)
| Write a vec at the current file pointer position.
void | low_level_write (const ivec &v)
| Write an ivec at the current file pointer position.
void | low_level_write (const bvec &v)
| Write a bvec at the current file pointer position.
void | low_level_write (const cvec &v)
| Write a cvec at the current file pointer position.
void | low_level_write (const std::string &str)
| Write a string at the current file pointer position.
void | low_level_write (const mat &m)
| Write a mat at the current file pointer position.
void | low_level_write (const imat &m)
| Write a imat at the current file pointer position.
void | low_level_write (const bmat &m)
| Write a bmat at the current file pointer position.
void | low_level_write (const cmat &m)
| Write a cmat at the current file pointer position.
void | low_level_write (const Array< float > &v)
| Write a float Array at the current file pointer position.
void | low_level_write (const Array< double > &v)
| Write a double Array at the current file pointer position.
void | low_level_write (const Array< int > &v)
| Write a integer Array at the current file pointer position.
void | low_level_write (const Array< bin > &v)
| Write a bin Array at the current file pointer position.
void | low_level_write (const Array< std::complex< float > > &v)
| Write a float complex Array at the current file pointer position.
void | low_level_write (const Array< std::complex< double > > &v)
| Write a double complex Array at the current file pointer position.
it_file_old & | operator<< (it_manip func)
| ACTION: ADD DOCUMENTATION FOR THIS MEMBER !!!!!!!!
void | remove (const std::string &name)
| Removes the variable `name` from the file.
bool | exists (const std::string &name)
| Returns true if the variable `name` exists in the file.
void | pack ()
| Remove slack space from the file.
void | open (const std::string &name)
| Open a file. The file must exist.
bool | read_check_file_header ()
| Reads and checks the file data header. Returns true if the header is valid and false otherwise.
void | read_data_header (data_header &h)
| Read the data header and return the result in the variable `h`.
void | low_level_read (char &x)
| Read a char value at the current file pointer position.
void | low_level_read (bin &x)
| Read a binary value at the current file pointer position.
void | low_level_read (short &x)
| Read a short value at the current file pointer position.
void | low_level_read (int &x)
| Read an integer value at the current file pointer position.
void | low_level_read (float &x)
| Read a float value at the current file pointer position.
void | low_level_read (double &x)
| Read a double value at the current file pointer position.
void | low_level_read (std::complex< float > &x)
| Read a float complex value at the current file pointer position.
void | low_level_read (std::complex< double > &x)
| Read a double complex value at the current file pointer position.
void | low_level_read (ivec &v)
| Read a vector of integer values at the current file pointer position.
void | low_level_read (bvec &v)
| Read a vector of binary values at the current file pointer position.
void | low_level_read (std::string &str)
| Read a string at the current file pointer position.
void | low_level_read (imat &m)
| Read a matrix of integer values at the current file pointer position.
void | low_level_read (bmat &m)
| Read a matrix of binary values at the current file pointer position.
void | low_level_read (Array< int > &v)
| Read an Array of integer values at the current file pointer position.
void | low_level_read (Array< bin > &v)
| Read an Array of binary values at the current file pointer position.
void | low_level_read_lo (vec &v)
| Read a vector of float values at the current file pointer position.
void | low_level_read_lo (cvec &v)
| Read a vector of float complex values at the current file pointer position.
void | low_level_read_lo (mat &m)
| Read a matrix of float values at the current file pointer position.
void | low_level_read_lo (cmat &m)
| Read a matrix of float complex values at the current file pointer position.
void | low_level_read_lo (Array< float > &v)
| Read an Array of float values at the current file pointer position.
void | low_level_read_lo (Array< double > &v)
| Read an Array of float values at the current file pointer position.
void | low_level_read_lo (Array< std::complex< float > > &v)
| Read an Array of float complex values at the current file pointer position.
void | low_level_read_lo (Array< std::complex< double > > &v)
| Read an Array of float complex values at the current file pointer position.
void | low_level_read_hi (vec &v)
| Read a vector of double values at the current file pointer position.
void | low_level_read_hi (cvec &v)
| Read a vector of double complex values at the current file pointer position.
void | low_level_read_hi (mat &m)
| Read a matrix of double values at the current file pointer position.
void | low_level_read_hi (cmat &m)
| Read a matrix of double complex values at the current file pointer position.
void | low_level_read_hi (Array< double > &v)
| Read an Array of double values at the current file pointer position.
void | low_level_read_hi (Array< std::complex< double > > &v)
| Read an Array of double complex values at the current file pointer position.
bool | seek (const std::string &name)
| Find the variable `name`.
bool | seek (int n)
| Find the variable number `n`.
void | info (std::string &name, std::string &type, int &bytes)
| Get information about the current variable.

## Protected Member Functions

void | remove ()
| ACTION: Add documenation for this protected member.
void | write_data_header_here (const data_header &h)
| ACTION: Add documenation for this protected member.
std::string & | next_name ()
| ACTION: Add documenation for this protected member.

## Protected Attributes

bool | low_prec
| ACTION: Add documenation for this protected member.
bfstream | s
| Protected binary file stream.

## Static Protected Attributes

static char | file_magic [4] = { 'I', 'T', '+', '+' }
| ACTION: Add documentation.
static char | file_version = 2
| ACTION: Add documentation.

## Detailed Description

The old (version 2) IT++ file format reading and writing class.

Warning
  This class is deprecated and will be removed in future.

Definition at line 806 of file itfile.h.

## Member Typedef Documentation

## it_manip

typedef it_file_old &(* itpp::it_file_old::it_manip) (it_file_old &)

ACTION: Add documentation for this typedef.

Definition at line 810 of file itfile.h.

## Constructor & Destructor Documentation

## it_file_old() [1/2]

itpp::it_file_old::it_file_old | ( |  | ) |

Constructor.

Definition at line 2319 of file itfile.cpp.

References low_prec.

Referenced by operator<<().

## it_file_old() [2/2]

itpp::it_file_old::it_file_old | ( | const std::string & | name,
|  | bool | trunc = false )

explicit

Constructor.

If the file does not exist it will be created. If `trunc` is true, the file will be truncated.

Definition at line 2324 of file itfile.cpp.

References low_prec, and open().

## ~it_file_old()

virtual itpp::it_file_old::~it_file_old | ( |  | ) |

inline virtual

Destructor.

Definition at line 824 of file itfile.h.

## Member Function Documentation

## open() [1/2]

void itpp::it_file_old::open | ( | const std::string & | name,
|  | bool | trunc = false )

Open a file for reading and writing.

If the file does not exist it will be created. If `trunc` is true, the file will be truncated.

Definition at line 2331 of file itfile.cpp.

References itpp::exist(), it_error, it_error_if, itpp::it_ifile_old::read_check_file_header(), itpp::it_ifile_old::s, and write_file_header().

Referenced by it_file_old().

## close()

void itpp::it_file_old::close | ( |  | ) |

virtual

Close the file.

Reimplemented from itpp::it_ifile_old.

Definition at line 2347 of file itfile.cpp.

References itpp::it_ifile_old::s.

## flush()

void itpp::it_file_old::flush | ( |  | ) |

Flush the data to disk.

Definition at line 2352 of file itfile.cpp.

References itpp::it_ifile_old::s.

Referenced by itpp::flush().

## low_level()

bfstream & itpp::it_file_old::low_level | ( |  | ) |

inline

Returns pointer to the underlying `bfstream` used.

Definition at line 841 of file itfile.h.

References itpp::it_ifile_old::s.

## set_low_precision()

void itpp::it_file_old::set_low_precision | ( | bool | p = true | ) |

inline

Set the precision. Low precision means floats, high means doubles.

Definition at line 844 of file itfile.h.

References low_prec.

## get_low_precision()

bool itpp::it_file_old::get_low_precision | ( |  | ) |

inline

Get the precision.

Definition at line 847 of file itfile.h.

References low_prec.

Referenced by low_level_write(), low_level_write(), low_level_write(), low_level_write(), low_level_write(), low_level_write(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), and itpp::operator<<().

## set_next_name()

void itpp::it_file_old::set_next_name | ( | const std::string & | n | ) |

inline

Set the name of the next name to be saved. See also the `Name` class.

Definition at line 850 of file itfile.h.

References next_name().

Referenced by itpp::operator<<().

## write_file_header()

void itpp::it_file_old::write_file_header | ( |  | ) |

Write the header for the `it_file_old`.

Definition at line 2357 of file itfile.cpp.

References itpp::it_file_base_old::file_magic, itpp::it_file_base_old::file_version, and itpp::it_ifile_old::s.

Referenced by open().

## write_data_header() [1/2]

void itpp::it_file_old::write_data_header | ( | const std::string & | type,
|  | uint32_t | size )

Write the data header for a variable, specifying the type and size of the data to follow.

Definition at line 2363 of file itfile.cpp.

References it_error_if, next_name(), itpp::size(), and write_data_header().

Referenced by itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), and write_data_header().

## write_data_header() [2/2]

void itpp::it_file_old::write_data_header | ( | const std::string & | type,
|  | const std::string & | name,
|  | uint32_t | size )

Write the data header for a variable, specifying the type, name, and size of the data to follow.

Definition at line 2370 of file itfile.cpp.

References itpp::it_file_base_old::data_header::block_bytes, itpp::it_file_base_old::data_header::data_bytes, itpp::it_file_base_old::data_header::endianity, exists(), itpp::it_file_base_old::data_header::hdr_bytes, itpp::it_file_base_old::data_header::name, itpp::it_ifile_old::read_data_header(), remove(), itpp::it_ifile_old::s, itpp::size(), itpp::it_file_base_old::data_header::type, and write_data_header_here().

## low_level_write() [1/23]

void itpp::it_file_old::low_level_write | ( | char | x | ) |

Write a char value at the current file pointer position.

Definition at line 2475 of file itfile.cpp.

References itpp::it_ifile_old::s.

Referenced by itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), itpp::operator<<(), and itpp::operator<<().

## low_level_write() [2/23]

void itpp::it_file_old::low_level_write | ( | bin | x | ) |

Write a binary value at the current file pointer position.

Definition at line 2480 of file itfile.cpp.

References itpp::it_ifile_old::s, and itpp::bin::value().

## low_level_write() [3/23]

void itpp::it_file_old::low_level_write | ( | short | x | ) |

Write a short value at the current file pointer position.

Definition at line 2485 of file itfile.cpp.

References itpp::it_ifile_old::s.

## low_level_write() [4/23]

void itpp::it_file_old::low_level_write | ( | int | x | ) |

Write an integer value at the current file pointer position.

Definition at line 2490 of file itfile.cpp.

References itpp::it_ifile_old::s.

## low_level_write() [5/23]

void itpp::it_file_old::low_level_write | ( | float | x | ) |

Write a float value at the current file pointer position.

Definition at line 2495 of file itfile.cpp.

References itpp::it_ifile_old::s.

## low_level_write() [6/23]

void itpp::it_file_old::low_level_write | ( | double | x | ) |

Write a double value at the current file pointer position.

Definition at line 2500 of file itfile.cpp.

References itpp::it_ifile_old::s.

## low_level_write() [7/23]

void itpp::it_file_old::low_level_write | ( | const std::complex< float > & | x | ) |

Write a float complex value at the current file pointer position.

Definition at line 2505 of file itfile.cpp.

References itpp::it_ifile_old::s.

## low_level_write() [8/23]

void itpp::it_file_old::low_level_write | ( | const std::complex< double > & | x | ) |

Write a double complex value at the current file pointer position.

Definition at line 2511 of file itfile.cpp.

References itpp::it_ifile_old::s.

## low_level_write() [9/23]

void itpp::it_file_old::low_level_write | ( | const vec & | v | ) |

Write a vec at the current file pointer position.

Definition at line 2517 of file itfile.cpp.

References get_low_precision(), and itpp::it_ifile_old::s.

## low_level_write() [10/23]

void itpp::it_file_old::low_level_write | ( | const ivec & | v | ) |

Write an ivec at the current file pointer position.

Definition at line 2531 of file itfile.cpp.

References itpp::it_ifile_old::s.

## low_level_write() [11/23]

void itpp::it_file_old::low_level_write | ( | const bvec & | v | ) |

Write a bvec at the current file pointer position.

Definition at line 2538 of file itfile.cpp.

References itpp::it_ifile_old::s.

## low_level_write() [12/23]

void itpp::it_file_old::low_level_write | ( | const cvec & | v | ) |

Write a cvec at the current file pointer position.

Definition at line 2545 of file itfile.cpp.

References get_low_precision(), itpp::imag(), itpp::real(), and itpp::it_ifile_old::s.

## low_level_write() [13/23]

void itpp::it_file_old::low_level_write | ( | const std::string & | str | ) |

Write a string at the current file pointer position.

Definition at line 2563 of file itfile.cpp.

References itpp::it_ifile_old::s, and itpp::size().

## low_level_write() [14/23]

void itpp::it_file_old::low_level_write | ( | const mat & | m | ) |

Write a mat at the current file pointer position.

Definition at line 2572 of file itfile.cpp.

References get_low_precision(), and itpp::it_ifile_old::s.

## low_level_write() [15/23]

void itpp::it_file_old::low_level_write | ( | const imat & | m | ) |

Write a imat at the current file pointer position.

Definition at line 2590 of file itfile.cpp.

References itpp::it_ifile_old::s.

## low_level_write() [16/23]

void itpp::it_file_old::low_level_write | ( | const bmat & | m | ) |

Write a bmat at the current file pointer position.

Definition at line 2600 of file itfile.cpp.

References itpp::it_ifile_old::s.

## low_level_write() [17/23]

void itpp::it_file_old::low_level_write | ( | const cmat & | m | ) |

Write a cmat at the current file pointer position.

Definition at line 2610 of file itfile.cpp.

References get_low_precision(), itpp::imag(), itpp::real(), and itpp::it_ifile_old::s.

## low_level_write() [18/23]

void itpp::it_file_old::low_level_write | ( | const Array< float > & | v | ) |

Write a float Array at the current file pointer position.

Definition at line 2633 of file itfile.cpp.

References itpp::it_ifile_old::s, and itpp::Array< T >::size().

## low_level_write() [19/23]

void itpp::it_file_old::low_level_write | ( | const Array< double > & | v | ) |

Write a double Array at the current file pointer position.

Definition at line 2640 of file itfile.cpp.

References get_low_precision(), itpp::it_ifile_old::s, and itpp::Array< T >::size().

## low_level_write() [20/23]

void itpp::it_file_old::low_level_write | ( | const Array< int > & | v | ) |

Write a integer Array at the current file pointer position.

Definition at line 2654 of file itfile.cpp.

References itpp::it_ifile_old::s, and itpp::Array< T >::size().

## low_level_write() [21/23]

void itpp::it_file_old::low_level_write | ( | const Array< bin > & | v | ) |

Write a bin Array at the current file pointer position.

Definition at line 2661 of file itfile.cpp.

References itpp::it_ifile_old::s, and itpp::Array< T >::size().

## low_level_write() [22/23]

void itpp::it_file_old::low_level_write | ( | const Array< std::complex< float > > & | v | ) |

Write a float complex Array at the current file pointer position.

Definition at line 2668 of file itfile.cpp.

References itpp::it_ifile_old::s.

## low_level_write() [23/23]

void itpp::it_file_old::low_level_write | ( | const Array< std::complex< double > > & | v | ) |

Write a double complex Array at the current file pointer position.

Definition at line 2677 of file itfile.cpp.

References get_low_precision(), itpp::imag(), itpp::real(), and itpp::it_ifile_old::s.

## operator<<()

it_file_old & itpp::it_file_old::operator<< | ( | it_manip | func | ) |

inline

ACTION: ADD DOCUMENTATION FOR THIS MEMBER !!!!!!!!

Definition at line 907 of file itfile.h.

References it_file_old().

## remove() [1/2]

void itpp::it_file_old::remove | ( | const std::string & | name | ) |

Removes the variable `name` from the file.

Definition at line 2440 of file itfile.cpp.

References remove(), and itpp::it_ifile_old::seek().

## exists()

bool itpp::it_file_old::exists | ( | const std::string & | name | ) |

Returns true if the variable `name` exists in the file.

Definition at line 2462 of file itfile.cpp.

References itpp::it_ifile_old::seek().

Referenced by write_data_header().

## pack()

void itpp::it_file_old::pack | ( |  | ) |

Remove slack space from the file.

Definition at line 2470 of file itfile.cpp.

References it_warning.

## remove() [2/2]

void itpp::it_file_old::remove | ( |  | ) |

protected

ACTION: Add documenation for this protected member.

Definition at line 2446 of file itfile.cpp.

References itpp::it_file_base_old::data_header::block_bytes, itpp::it_file_base_old::data_header::data_bytes, itpp::it_file_base_old::data_header::hdr_bytes, itpp::it_file_base_old::data_header::name, itpp::it_ifile_old::read_data_header(), itpp::it_ifile_old::s, itpp::it_file_base_old::data_header::type, and write_data_header_here().

Referenced by remove(), and write_data_header().

## write_data_header_here()

void itpp::it_file_old::write_data_header_here | ( | const data_header & | h | ) |

protected

ACTION: Add documenation for this protected member.

Definition at line 2434 of file itfile.cpp.

References itpp::it_file_base_old::data_header::block_bytes, itpp::it_file_base_old::data_header::data_bytes, itpp::it_file_base_old::data_header::endianity, itpp::it_file_base_old::data_header::hdr_bytes, itpp::it_file_base_old::data_header::name, itpp::it_ifile_old::s, and itpp::it_file_base_old::data_header::type.

Referenced by remove(), and write_data_header().

## next_name()

std::string & itpp::it_file_old::next_name | ( |  | ) |

inline protected

ACTION: Add documenation for this protected member.

Definition at line 925 of file itfile.h.

Referenced by set_next_name(), and write_data_header().

## open() [2/2]

void itpp::it_ifile_old::open | ( | const std::string & | name | ) |

inherited

Open a file. The file must exist.

Definition at line 1888 of file itfile.cpp.

References itpp::exist(), it_assert, it_error, read_check_file_header(), and s.

Referenced by it_ifile_old().

## read_check_file_header()

bool itpp::it_ifile_old::read_check_file_header | ( |  | ) |

inherited

Reads and checks the file data header. Returns true if the header is valid and false otherwise.

Definition at line 1965 of file itfile.cpp.

References itpp::it_file_base_old::file_magic, itpp::it_file_base_old::file_version, itpp::it_file_base_old::file_header::magic, s, and itpp::it_file_base_old::file_header::version.

Referenced by itpp::it_file_old::open(), and open().

## read_data_header()

void itpp::it_ifile_old::read_data_header | ( | data_header & | h | ) |

inherited

Read the data header and return the result in the variable `h`.

Definition at line 1975 of file itfile.cpp.

References itpp::it_file_base_old::data_header::block_bytes, itpp::it_file_base_old::data_header::data_bytes, itpp::it_file_base_old::data_header::endianity, itpp::it_file_base_old::data_header::hdr_bytes, itpp::it_file_base_old::data_header::name, s, and itpp::it_file_base_old::data_header::type.

Referenced by info(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::it_file_old::remove(), seek(), seek(), and itpp::it_file_old::write_data_header().

## low_level_read() [1/15]

void itpp::it_ifile_old::low_level_read | ( | char & | x | ) |

inherited

Read a char value at the current file pointer position.

Definition at line 1995 of file itfile.cpp.

References s.

Referenced by itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), and itpp::operator>>().

## low_level_read() [2/15]

void itpp::it_ifile_old::low_level_read | ( | bin & | x | ) |

inherited

Read a binary value at the current file pointer position.

Definition at line 2000 of file itfile.cpp.

References s.

## low_level_read() [3/15]

void itpp::it_ifile_old::low_level_read | ( | short & | x | ) |

inherited

Read a short value at the current file pointer position.

Definition at line 2005 of file itfile.cpp.

References s.

## low_level_read() [4/15]

void itpp::it_ifile_old::low_level_read | ( | int & | x | ) |

inherited

Read an integer value at the current file pointer position.

Definition at line 2010 of file itfile.cpp.

References s.

## low_level_read() [5/15]

void itpp::it_ifile_old::low_level_read | ( | float & | x | ) |

inherited

Read a float value at the current file pointer position.

Definition at line 2017 of file itfile.cpp.

References s.

## low_level_read() [6/15]

void itpp::it_ifile_old::low_level_read | ( | double & | x | ) |

inherited

Read a double value at the current file pointer position.

Definition at line 2022 of file itfile.cpp.

References s.

## low_level_read() [7/15]

void itpp::it_ifile_old::low_level_read | ( | std::complex< float > & | x | ) |

inherited

Read a float complex value at the current file pointer position.

Definition at line 2027 of file itfile.cpp.

References s.

## low_level_read() [8/15]

void itpp::it_ifile_old::low_level_read | ( | std::complex< double > & | x | ) |

inherited

Read a double complex value at the current file pointer position.

Definition at line 2035 of file itfile.cpp.

References s.

## low_level_read() [9/15]

void itpp::it_ifile_old::low_level_read | ( | ivec & | v | ) |

inherited

Read a vector of integer values at the current file pointer position.

Definition at line 2069 of file itfile.cpp.

References s.

## low_level_read() [10/15]

void itpp::it_ifile_old::low_level_read | ( | bvec & | v | ) |

inherited

Read a vector of binary values at the current file pointer position.

Definition at line 2081 of file itfile.cpp.

References s.

## low_level_read() [11/15]

void itpp::it_ifile_old::low_level_read | ( | std::string & | str | ) |

inherited

Read a string at the current file pointer position.

Definition at line 2119 of file itfile.cpp.

References s.

## low_level_read() [12/15]

void itpp::it_ifile_old::low_level_read | ( | imat & | m | ) |

inherited

Read a matrix of integer values at the current file pointer position.

Definition at line 2161 of file itfile.cpp.

References s.

## low_level_read() [13/15]

void itpp::it_ifile_old::low_level_read | ( | bmat & | m | ) |

inherited

Read a matrix of binary values at the current file pointer position.

Definition at line 2174 of file itfile.cpp.

References s.

## low_level_read() [14/15]

void itpp::it_ifile_old::low_level_read | ( | Array< int > & | v | ) |

inherited

Read an Array of integer values at the current file pointer position.

Definition at line 2255 of file itfile.cpp.

References s, itpp::Array< T >::set_size(), and itpp::Array< T >::size().

## low_level_read() [15/15]

void itpp::it_ifile_old::low_level_read | ( | Array< bin > & | v | ) |

inherited

Read an Array of binary values at the current file pointer position.

Definition at line 2267 of file itfile.cpp.

References s, itpp::Array< T >::set_size(), and itpp::Array< T >::size().

## low_level_read_lo() [1/8]

void itpp::it_ifile_old::low_level_read_lo | ( | vec & | v | ) |

inherited

Read a vector of float values at the current file pointer position.

Definition at line 2043 of file itfile.cpp.

References s.

Referenced by itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), and itpp::operator>>().

## low_level_read_lo() [2/8]

void itpp::it_ifile_old::low_level_read_lo | ( | cvec & | v | ) |

inherited

Read a vector of float complex values at the current file pointer position.

Definition at line 2091 of file itfile.cpp.

References s.

## low_level_read_lo() [3/8]

void itpp::it_ifile_old::low_level_read_lo | ( | mat & | m | ) |

inherited

Read a matrix of float values at the current file pointer position.

Definition at line 2133 of file itfile.cpp.

References s.

## low_level_read_lo() [4/8]

void itpp::it_ifile_old::low_level_read_lo | ( | cmat & | m | ) |

inherited

Read a matrix of float complex values at the current file pointer position.

Definition at line 2185 of file itfile.cpp.

References s.

## low_level_read_lo() [5/8]

void itpp::it_ifile_old::low_level_read_lo | ( | Array< float > & | v | ) |

inherited

Read an Array of float values at the current file pointer position.

Definition at line 2216 of file itfile.cpp.

References s, itpp::Array< T >::set_size(), and itpp::Array< T >::size().

## low_level_read_lo() [6/8]

void itpp::it_ifile_old::low_level_read_lo | ( | Array< double > & | v | ) |

inherited

Read an Array of float values at the current file pointer position.

Definition at line 2229 of file itfile.cpp.

References s, itpp::Array< T >::set_size(), and itpp::Array< T >::size().

## low_level_read_lo() [7/8]

void itpp::it_ifile_old::low_level_read_lo | ( | Array< std::complex< float > > & | v | ) |

inherited

Read an Array of float complex values at the current file pointer position.

Definition at line 2277 of file itfile.cpp.

References s.

## low_level_read_lo() [8/8]

void itpp::it_ifile_old::low_level_read_lo | ( | Array< std::complex< double > > & | v | ) |

inherited

Read an Array of float complex values at the current file pointer position.

Definition at line 2291 of file itfile.cpp.

References s.

## low_level_read_hi() [1/6]

void itpp::it_ifile_old::low_level_read_hi | ( | vec & | v | ) |

inherited

Read a vector of double values at the current file pointer position.

Definition at line 2056 of file itfile.cpp.

References s.

Referenced by itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), itpp::operator>>(), and itpp::operator>>().

## low_level_read_hi() [2/6]

void itpp::it_ifile_old::low_level_read_hi | ( | cvec & | v | ) |

inherited

Read a vector of double complex values at the current file pointer position.

Definition at line 2105 of file itfile.cpp.

References s.

## low_level_read_hi() [3/6]

void itpp::it_ifile_old::low_level_read_hi | ( | mat & | m | ) |

inherited

Read a matrix of double values at the current file pointer position.

Definition at line 2147 of file itfile.cpp.

References s.

## low_level_read_hi() [4/6]

void itpp::it_ifile_old::low_level_read_hi | ( | cmat & | m | ) |

inherited

Read a matrix of double complex values at the current file pointer position.

Definition at line 2200 of file itfile.cpp.

References s.

## low_level_read_hi() [5/6]

void itpp::it_ifile_old::low_level_read_hi | ( | Array< double > & | v | ) |

inherited

Read an Array of double values at the current file pointer position.

Definition at line 2242 of file itfile.cpp.

References s, itpp::Array< T >::set_size(), and itpp::Array< T >::size().

## low_level_read_hi() [6/6]

void itpp::it_ifile_old::low_level_read_hi | ( | Array< std::complex< double > > & | v | ) |

inherited

Read an Array of double complex values at the current file pointer position.

Definition at line 2305 of file itfile.cpp.

References s.

## seek() [1/2]

bool itpp::it_ifile_old::seek | ( | const std::string & | name | ) |

inherited

Find the variable `name`.

Definition at line 1906 of file itfile.cpp.

References itpp::it_file_base_old::data_header::block_bytes, itpp::it_file_base_old::data_header::name, read_data_header(), s, and itpp::it_file_base_old::data_header::type.

Referenced by itpp::it_file_old::exists(), itpp::operator>>(), and itpp::it_file_old::remove().

## seek() [2/2]

bool itpp::it_ifile_old::seek | ( | int | n | ) |

inherited

Find the variable number `n`.

Definition at line 1931 of file itfile.cpp.

References itpp::it_file_base_old::data_header::block_bytes, read_data_header(), s, and itpp::it_file_base_old::data_header::type.

## info()

void itpp::it_ifile_old::info | ( | std::string & | name,
|  | std::string & | type,
|  | int & | bytes )

inherited

Get information about the current variable.

Definition at line 1952 of file itfile.cpp.

References itpp::it_file_base_old::data_header::data_bytes, itpp::it_file_base_old::data_header::name, read_data_header(), s, and itpp::it_file_base_old::data_header::type.

## Member Data Documentation

## low_prec

bool itpp::it_file_old::low_prec

protected

ACTION: Add documenation for this protected member.

Definition at line 923 of file itfile.h.

Referenced by get_low_precision(), it_file_old(), it_file_old(), and set_low_precision().

## s

bfstream itpp::it_ifile_old::s

protected inherited

Protected binary file stream.

Definition at line 797 of file itfile.h.

Referenced by itpp::it_file_old::close(), close(), itpp::it_file_old::flush(), info(), itpp::it_file_old::low_level(), low_level(), low_level_read(), low_level_read(), low_level_read(), low_level_read(), low_level_read(), low_level_read(), low_level_read(), low_level_read(), low_level_read(), low_level_read(), low_level_read(), low_level_read(), low_level_read(), low_level_read(), low_level_read(), low_level_read_hi(), low_level_read_hi(), low_level_read_hi(), low_level_read_hi(), low_level_read_hi(), low_level_read_hi(), low_level_read_lo(), low_level_read_lo(), low_level_read_lo(), low_level_read_lo(), low_level_read_lo(), low_level_read_lo(), low_level_read_lo(), low_level_read_lo(), itpp::it_file_old::low_level_write(), itpp::it_file_old::low_level_write(), itpp::it_file_old::low_level_write(), itpp::it_file_old::low_level_write(), itpp::it_file_old::low_level_write(), itpp::it_file_old::low_level_write(), itpp::it_file_old::low_level_write(), itpp::it_file_old::low_level_write(), itpp::it_file_old::low_level_write(), itpp::it_file_old::low_level_write(), itpp::it_file_old::low_level_write(), itpp::it_file_old::low_level_write(), itpp::it_file_old::low_level_write(), itpp::it_file_old::low_level_write(), itpp::it_file_old::low_level_write(), itpp::it_file_old::low_level_write(), itpp::it_file_old::low_level_write(), itpp::it_file_old::low_level_write(), itpp::it_file_old::low_level_write(), itpp::it_file_old::low_level_write(), itpp::it_file_old::low_level_write(), itpp::it_file_old::low_level_write(), itpp::it_file_old::low_level_write(), itpp::it_file_old::open(), open(), read_check_file_header(), read_data_header(), itpp::it_file_old::remove(), seek(), seek(), itpp::it_file_old::write_data_header(), itpp::it_file_old::write_data_header_here(), and itpp::it_file_old::write_file_header().

## file_magic

char itpp::it_file_base_old::file_magic = { 'I', 'T', '+', '+' }

static protected inherited

ACTION: Add documentation.

Definition at line 696 of file itfile.h.

Referenced by itpp::it_ifile_old::read_check_file_header(), and itpp::it_file_old::write_file_header().

## file_version

char itpp::it_file_base_old::file_version = 2

static protected inherited

ACTION: Add documentation.

Definition at line 698 of file itfile.h.

Referenced by itpp::it_ifile_old::read_check_file_header(), and itpp::it_file_old::write_file_header().

The documentation for this class was generated from the following files:

- itpp/base/itfile.h
- itpp/base/itfile.cpp

Generated on for IT++ by Doxygen 1.15.0